:host { display: block; width: 100%; box-sizing: border-box; container: host / inline-size; }
.header { display: flex; align-items: center; justify-content: space-between; height: 40px; }
:host([styling="homepage-section"]) .header { margin-bottom: var(--fds-spacing-200); padding: 0 var(--fds-spacing-200); }
:host([styling="homepage"]) .header { margin: 0px; }
:host([styling="homepage"]) .show-all-cta { background-color: color-mix(in srgb, var(--fds-on-surface-color) 12%, transparent); }
:host([styling="homepage"]) .navigation-arrow:not([disabled]) { background-color: color-mix(in srgb, var(--fds-on-surface-color) 12%, transparent); }
:host([styling="providers"]) .header { margin: 0px; height: auto; padding: 0px; }
:host([styling="providers"]) .header-controls { margin: 0px; }
:host([styling="providers"]) .header-controls > .show-all-cta { border-radius: var(--fds-border-radius-btn-default); }
:host([styling="providers"]) .show-all-cta a { color: var(--fds-on-surface-color); }
.header-content { width: auto; min-width: 0px; }
.header-controls { display: flex; align-items: center; gap: var(--fds-spacing-100, 8px); color: var(--fds-on-surface-color, var(--on-surface-color)); flex: 1 1 0px; min-width: 0px; justify-content: flex-end; height: 40px; }
:host([styling="homepage-section"]) .header-controls { margin: 0px; }
.header-controls > :not([disabled]) { border-radius: var(--fds-border-radius-btn-alternate); cursor: pointer; }
.header-controls .show-all-cta { border-radius: var(--fds-border-radius-btn-default); }
.header-controls .show-all-cta a { padding: var(--fds-spacing-100, 8px) var(--fds-spacing-050, 4px) var(--fds-spacing-100, 8px)   var(--fds-spacing-150, 12px); }
.header-controls .show-all-cta .show-all-icon { width: var(--site-icon-width, 16px); height: var(--site-icon-height, 16px); flex-shrink: 0; }
:host([styling="alternate"]) .navigation-arrow:not([disabled]), :host([styling="alternate"]) .show-all-cta { background-color: var(--fds-on-alternate-surface-hi); }
.navigation-arrow:not([disabled]) { color: var(--fds-on-surface-color); }
.navigation-arrow { display: none; padding: var(--fds-spacing-100); min-width: var(--site-icon-width, 16px); min-height: var(--site-icon-width, 16px); }
.navigation-arrow[disabled] { color: var(--fds-on-surface-low); }
a { font: var(--fds-paragraphs-small-bold); text-decoration: none; display: flex; align-items: center; color: var(--fds-on-surface-color); }
.always-show .navigation-arrow { display: block; }
.always-show .header-controls > :not([disabled]) { background-color: var(--fds-surface-accent); }
@container host (min-width: 768px) {
  .navigation-arrow { display: block; }
  .header-controls > :not([disabled]) { background-color: var(--fds-surface-accent); }
  :host([styling="providers"]) .header-controls > .show-all-cta { background-color: transparent; }
  .header-controls { flex: 1 1 50%; }
  .header-content { width: 50%; }
}
@container host (max-width: 1007px) {
  :host([styling="homepage-section"]) .header-controls > :not([disabled]) { background-color: transparent; }
  :host([styling="homepage-section"]) .navigation-arrow { display: none; padding: var(--fds-spacing-100); }
}
@container host (max-width: 1235px) {
  :host([styling="homepage-section"]) .header { margin-bottom: var(--fds-spacing-100); }
  :host([styling="providers"]) .header { padding: 0 var(--fds-spacing-400) 0 0; }
}
@container host (min-width: 1024px) {
  :host([styling="providers"]) .header-controls > .show-all-cta { background-color: var(--fds-surface-accent); }
}
@container host (min-width: 1237px) {
  :host([styling="providers"]) .header { padding: 0px; }
}
@media screen and (min-width: 1250px) {
  :host([styling="homepage-section"]) .header { padding: 0px; }
}